<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/AppTheme"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary"
    tools:context=".CreateActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ImageButton
                android:id="@+id/print_button"
                style="@style/Widget.AppCompat.Button.Colored"
                android:layout_width="88dp"
                android:layout_height="55dp"
                android:layout_margin="0dp"
                android:layout_marginStart="64dp"
                android:backgroundTint="#F8F8F8"
                android:padding="0dp"
                android:src="@drawable/printer"
                android:textColor="@color/colorPrimary"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageButton
                android:id="@+id/back"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:layout_width="56dp"
                android:layout_height="50dp"
                android:layout_marginEnd="6dp"
                android:src="@drawable/baseline_arrow_forward_white_36"
                android:text=""
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageButton
                android:id="@+id/settings"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:layout_width="32dp"
                android:layout_height="31dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="72dp"
                android:layout_marginBottom="6dp"
                android:scaleX="1"
                android:scaleY="1"
                android:src="@drawable/baseline_settings_white_36"
                android:text=""
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageButton
                android:id="@+id/settings2"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:layout_width="38dp"
                android:layout_height="38dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="116dp"
                android:layout_marginBottom="3dp"
                android:src="@drawable/ic_compress"
                android:text=""
                android:textColor="#000000"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="1.0" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.appcompat.widget.Toolbar>

    <ScrollView
        android:id="@+id/scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="56dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/toolbar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/url_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Login URL"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/email_input" />

            <EditText
                android:id="@+id/email_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="354dp"
                android:layout_height="97dp"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:hint="ricklactica42@example.com"
                android:inputType="none|textEmailAddress"
                android:singleLine="true"
                android:textSize="20sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/email_label" />

            <TextView
                android:id="@+id/username_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Username"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/title_input" />

            <EditText
                android:id="@+id/password_input"
                android:layout_width="0dp"
                android:layout_height="81dp"
                android:layout_marginStart="16dp"
                android:layout_marginTop="12dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:hint="Secure password"
                android:inputType="textPassword"
                android:singleLine="true"
                android:textSize="28sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/password_label"
                app:layout_constraintWidth_percent="0.6" />

            <EditText
                android:id="@+id/username_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="wrap_content"
                android:layout_height="50dp"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:hint="Ricklactica42"
                android:inputType="textPersonName"
                android:singleLine="true"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/username_label" />

            <TextView
                android:id="@+id/password_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Password"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/username_input" />

            <EditText
                android:id="@+id/url_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="354dp"
                android:layout_height="48dp"
                android:layout_marginStart="15dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:hint="https://example.com/login"
                android:inputType="none|textEmailAddress"
                android:singleLine="true"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/url_label" />

            <EditText
                android:id="@+id/title_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="283dp"
                android:layout_height="50dp"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:hint="Google Account"
                android:inputType="textPersonName"
                android:singleLine="true"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/title_label" />

            <TextView
                android:id="@+id/email_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="E-Mail"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/password_input" />

            <TextView
                android:id="@+id/title_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Title"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageButton
                android:id="@+id/password_hide"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:background="@color/colorPrimary"
                app:layout_constraintBottom_toBottomOf="@+id/password_input"
                app:layout_constraintEnd_toStartOf="@+id/password_random"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintStart_toEndOf="@+id/password_input"
                app:layout_constraintTop_toTopOf="@+id/password_input"
                app:layout_constraintVertical_bias="0.48000002"
                app:srcCompat="@drawable/ic_visibility_on" />

            <ImageButton
                android:id="@+id/password_random"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="15dp"
                android:background="@color/colorPrimary"
                android:tint="#000000"
                app:layout_constraintBottom_toBottomOf="@+id/password_input"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintStart_toEndOf="@+id/password_hide"
                app:layout_constraintTop_toTopOf="@+id/password_input"
                app:srcCompat="@drawable/ic_autorenew" />

            <ProgressBar
                android:id="@+id/fa_progress"
                style="?android:attr/progressBarStyleHorizontal"
                android:layout_width="379dp"
                android:layout_height="15dp"
                android:layout_marginStart="16dp"
                android:max="30"
                android:visibility="invisible"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/fa_input" />

            <TextView
                android:id="@+id/fa_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="20dp"
                android:text="Two factor authentication"
                android:textSize="18sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/url_input" />

            <EditText
                android:id="@+id/fa_input"
                style="@style/Widget.AppCompat.AutoCompleteTextView"
                android:layout_width="354dp"
                android:layout_height="48dp"
                android:layout_marginStart="16dp"
                android:background="#00FFFFFF"
                android:editable="false"
                android:ems="10"
                android:fontFamily="sans-serif-black"
                android:hint="TAP TO SCAN"
                android:inputType="none|textEmailAddress"
                android:singleLine="true"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/fa_label" />

            <Button
                android:id="@+id/button"
                style="@style/Widget.AppCompat.Button.Colored"
                android:layout_width="256dp"
                android:layout_height="42dp"
                android:layout_marginTop="12dp"
                android:layout_marginBottom="12dp"
                android:background="@color/colorPrimaryDark"
                android:text="Add more"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/fa_progress" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>